import { generatePaths } from './lib/blog/read-posts';

// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
  css: ['@/assets/styles/index.scss'],
  vite: {
    css: {
      preprocessorOptions: {
        scss: {
          additionalData: '@use "@/assets/styles/_variables.scss" as *;',
        },
      },
    },
  },
  app: {
    head: {
      htmlAttrs: {
        lang: 'en',
      },
      charset: 'utf-8',
      viewport: 'width=device-width, initial-scale=1.0',
      title: 'lunasqu.ee',
      meta: [
        { name: 'description', content: "Evert Prants' personal website" },
        {
          name: 'keywords',
          content:
            'evert,lunasquee,lunasqu,evert prants website,evert prants koduleht,evert prants homepage,evert official,portfolio,portfoolio,projects,projektid',
        },
      ],
      link: [
        { rel: 'me', href: 'https://social.lunasqu.ee/diamond' },
        { rel: 'me', href: 'https://fosstodon.org/@evertprants' },
      ],
    },
  },
  hooks: {
    async 'nitro:config'(config) {
      const routes = await generatePaths('/blog/');
      config.prerender.routes.push(...routes, '/blog/atom.xml');
    },
  },
});
